/* Mark de Jong Electronics (c) 2005
*
* Project: S65 Display
*
* Filename: S65_display.h
*
*
*/
#ifndef S65_DISPLAY_H
#define S65_DISPLAY_H

#include "S65_driver_cfg.h"
#include "S65_driver_if.h"

#define S65_UNKOWN            0x00
#define S65_DETECT            0x01
#define S65_LS20              0x02
#define S65_LPH88             0x03
#define S65_L2F50             0x04

#define S65_DISPLAY_ON        0x00
#define S65_DISPLAY_OFF       0x01

#define S65_DISPLAY_BL_ON     0x00
#define S65_DISPLAY_BL_OFF    0x01

#define S65_DISPLAY_BL_MIN      0
#define S65_DISPLAY_BL_MAX    100
#define S65_DISPLAY_BL_NORM    75

#define S65_MAX_X             132
#define S65_MAX_Y             176

#define COLOR_WHITE           0xFFFF
#define COLOR_RED             0xF800
#define COLOR_GREEN           0x07E0
#define COLOR_BLUE            0x001F
#define COLOR_BLACK           0x0000

unsigned int s65_display_init( unsigned int display_type );
unsigned int s65_display_detect_display_type( void );
unsigned int s65_display_get_display_type( void );

unsigned int s65_display_power( unsigned int power_state );
unsigned int s65_display_backlight( unsigned int backlight_state, unsigned char backlight_value );

unsigned int s65_display_clear_screen( void );
unsigned int s65_display_fill_screen( unsigned int color );

#endif
