/* Mark de Jong Electronics (c) 2005
*
* Project: S65 Display
*
* Filename: S65_driver_cfg.h
*
*
*/
#ifndef S65_DRIVER_CFG_H
#define S65_DRIVER_CFG_H

// defines the target system
#define TARGET_MSP430
//#define TARGET_AVR

//define for the hardware access methode
#define S65_USE_IO_PORTS
//#define S65_USE_SPI_INTERFACE

// hardware target is MSP430
#ifdef TARGET_MSP430
// MSP430 target includes
#include <msp430x16x.h>

// hardware pin defines
#define S65_IO_RESET
#define S65_IO_RESET_PIN      1
#define S65_IO_RESET_PORT     P4OUT
#define S65_IO_RESET_DIR      P4DIR

#define S65_IO_RS
#define S65_IO_RS_PIN         2
#define S65_IO_RS_PORT        P4OUT
#define S65_IO_RS_DIR         P4DIR

#define S65_IO_CS
#define S65_IO_CS_PIN         1
#define S65_IO_CS_PORT        P1OUT
#define S65_IO_CS_DIR         P1DIR

#define S65_IO_CLK
#define S65_IO_CLK_PIN        2
#define S65_IO_CLK_PORT       P1OUT
#define S65_IO_CLK_DIR        P1DIR

#define S65_IO_DATA
#define S65_IO_DATA_PIN       4
#define S65_IO_DATA_PORT      P1OUT
#define S65_IO_DATA_DIR       P1DIR

#define S65_IO_DETECT
#define S65_IO_DETECT_PIN     4
#define S65_IO_DETECT_PORT    P1OUT
#define S65_IO_DETECT_DIR     P1DIR

#define S65_POWER
#define S65_POWER_PIN         4
#define S65_POWER_PORT        P4OUT
#define S65_POWER_DIR         P4DIR

#define S65_BACKLIGHT_POWER
#define S65_BACKLIGHT_POWER_PIN
#define S65_BACKLIGHT_POWER_PORT
#define S65_BACKLIGHT_POWER_DIR

// hardware pin access macros defines
#define io_set_dir_in( port_pin )   port_pin##_DIR &= (~port_pin##_PIN)
#define io_set_dir_out( port_pin )  port_pin##_DIR |= port_pin##_PIN
#define io_set_io( port_pin )       port_pin##_PORT |= port_pin##_PIN
#define io_reset_io( port_pin )     port_pin##_PORT &= (~port_pin##_PIN)
#endif  //TARGET_MSP430

// hardware target is AVR
#ifdef TARGET_AVR
// AVR target includes

// hardware pin defines
#define S65_IO_RESET
#define S65_IO_RESET_PIN      1
#define S65_IO_RESET_PORT     P4OUT
#define S65_IO_RESET_DIR      P4DIR

#define S65_IO_RS
#define S65_IO_RS_PIN         2
#define S65_IO_RS_PORT        P4OUT
#define S65_IO_RS_DIR         P4DIR

#define S65_IO_CS
#define S65_IO_CS_PIN         1
#define S65_IO_CS_PORT        P1OUT
#define S65_IO_CS_DIR         P1DIR

#define S65_IO_CLK
#define S65_IO_CLK_PIN        2
#define S65_IO_CLK_PORT       P1OUT
#define S65_IO_CLK_DIR        P1DIR

#define S65_IO_DATA
#define S65_IO_DATA_PIN       4
#define S65_IO_DATA_PORT      P1OUT
#define S65_IO_DATA_DIR       P1DIR

#define S65_IO_DETECT
#define S65_IO_DETECT_PIN     4
#define S65_IO_DETECT_PORT    P1OUT
#define S65_IO_DETECT_DIR     P1DIR

#define S65_POWER
#define S65_POWER_PIN         4
#define S65_POWER_PORT        P4OUT
#define S65_POWER_DIR         P4DIR

#define S65_BACKLIGHT_POWER
#define S65_BACKLIGHT_POWER_PIN
#define S65_BACKLIGHT_POWER_PORT
#define S65_BACKLIGHT_POWER_DIR

// hardware pin access macros defines
#define io_set_dir_in( port_pin )   port_pin##_DIR &= (~port_pin##_PIN)
#define io_set_dir_out( port_pin )  port_pin##_DIR |= port_pin##_PIN
#define io_set_io( port_pin )       port_pin##_PORT |= port_pin##_PIN
#define io_reset_io( port_pin )     port_pin##_PORT &= (~port_pin##_PIN)
#endif  //TARGET_AVR

#endif  //S65_DRIVER_CFG_H
