/* Mark de Jong Electronics (c) 2005
*
* Project: S65 Display
*
* Filename: S65_driver_if.h
*
*
*/
#ifndef S65_DRIVER_IF_H
#define S65_DRIVER_IF_H

// public defines
#define S65_OK            0x01
#define S65_ERROR         0x00

#define S65_POWER_ON      0x00
#define S65_POWER_OFF     0x01

#define S65_RESET_ACTIVE  0x00
#define S65_RESET_RELEASE 0x01

#define HD66773_COMMAND   0x74
#define HD66773_DATA      0x76

// public functions
unsigned int s65_driver_if_init( void );
unsigned int s65_driver_if_reset( unsigned int reset_state );
unsigned int s65_driver_if_power( unsigned int power_state );
unsigned int s65_driver_if_backlight( unsigned int backlight_state, unsigned int backlight_value );
//S65_LS20
unsigned int s65_driver_if_ls20_send_command_words( unsigned int number, unsigned int *command_words );
unsigned int s65_driver_if_ls20_send_data_words( unsigned int number, unsigned int *data_words );
//S65_LPH88
unsigned int s65_driver_if_lph88_send_command_word( unsigned int command_index, unsigned int parameter );
unsigned int s65_driver_if_lph88_send_data_word( unsigned int data_word );
unsigned int s65_driver_if_lph88_send_data_n_word( unsigned int number, unsigned int data_words );
unsigned int s65_driver_if_lph88_send_data_words( unsigned int number, unsigned int *data_words );
//S65_L2F50
unsigned int s65_driver_if_l2f50_send_command_words( unsigned int number, unsigned int *command_words );
unsigned int s65_driver_if_l2f50_send_data_words( unsigned int number, unsigned int *data_words );

//S65 common
unsigned int s65_driver_send_word( unsigned int word );
#endif
